Mailinglist Archive: opensuse-security-announce (37 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:0436-1: important: Security update for PHP 5.3
SUSE Security Update: Security update for PHP 5.3
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0436-1
Rating: important
References: #917150 #918768
Cross-References: CVE-2013-6501 CVE-2014-9652
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Server 11 SP3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


php5 has been updated to fix two security issues:

* CVE-2014-9652: Out of bounds read in mconvert() (bnc#917150).
* CVE-2015-0273: Use after free vulnerability in unserialize() with
DateTimeZone (bnc#918768).

Security Issues:

* CVE-2014-9652
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9652>
* CVE-2013-6501
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6501>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP3:

zypper in -t patch sdksp3-apache2-mod_php53=10370

- SUSE Linux Enterprise Server 11 SP3 for VMware:

zypper in -t patch slessp3-apache2-mod_php53=10370

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-apache2-mod_php53=10370

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 ia64 ppc64
s390x x86_64):

php53-devel-5.3.17-0.35.2
php53-imap-5.3.17-0.35.2
php53-posix-5.3.17-0.35.2
php53-readline-5.3.17-0.35.2
php53-sockets-5.3.17-0.35.2
php53-sqlite-5.3.17-0.35.2
php53-tidy-5.3.17-0.35.2

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

apache2-mod_php53-5.3.17-0.35.2
php53-5.3.17-0.35.2
php53-bcmath-5.3.17-0.35.2
php53-bz2-5.3.17-0.35.2
php53-calendar-5.3.17-0.35.2
php53-ctype-5.3.17-0.35.2
php53-curl-5.3.17-0.35.2
php53-dba-5.3.17-0.35.2
php53-dom-5.3.17-0.35.2
php53-exif-5.3.17-0.35.2
php53-fastcgi-5.3.17-0.35.2
php53-fileinfo-5.3.17-0.35.2
php53-ftp-5.3.17-0.35.2
php53-gd-5.3.17-0.35.2
php53-gettext-5.3.17-0.35.2
php53-gmp-5.3.17-0.35.2
php53-iconv-5.3.17-0.35.2
php53-intl-5.3.17-0.35.2
php53-json-5.3.17-0.35.2
php53-ldap-5.3.17-0.35.2
php53-mbstring-5.3.17-0.35.2
php53-mcrypt-5.3.17-0.35.2
php53-mysql-5.3.17-0.35.2
php53-odbc-5.3.17-0.35.2
php53-openssl-5.3.17-0.35.2
php53-pcntl-5.3.17-0.35.2
php53-pdo-5.3.17-0.35.2
php53-pear-5.3.17-0.35.2
php53-pgsql-5.3.17-0.35.2
php53-pspell-5.3.17-0.35.2
php53-shmop-5.3.17-0.35.2
php53-snmp-5.3.17-0.35.2
php53-soap-5.3.17-0.35.2
php53-suhosin-5.3.17-0.35.2
php53-sysvmsg-5.3.17-0.35.2
php53-sysvsem-5.3.17-0.35.2
php53-sysvshm-5.3.17-0.35.2
php53-tokenizer-5.3.17-0.35.2
php53-wddx-5.3.17-0.35.2
php53-xmlreader-5.3.17-0.35.2
php53-xmlrpc-5.3.17-0.35.2
php53-xmlwriter-5.3.17-0.35.2
php53-xsl-5.3.17-0.35.2
php53-zip-5.3.17-0.35.2
php53-zlib-5.3.17-0.35.2

- SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):

apache2-mod_php53-5.3.17-0.35.2
php53-5.3.17-0.35.2
php53-bcmath-5.3.17-0.35.2
php53-bz2-5.3.17-0.35.2
php53-calendar-5.3.17-0.35.2
php53-ctype-5.3.17-0.35.2
php53-curl-5.3.17-0.35.2
php53-dba-5.3.17-0.35.2
php53-dom-5.3.17-0.35.2
php53-exif-5.3.17-0.35.2
php53-fastcgi-5.3.17-0.35.2
php53-fileinfo-5.3.17-0.35.2
php53-ftp-5.3.17-0.35.2
php53-gd-5.3.17-0.35.2
php53-gettext-5.3.17-0.35.2
php53-gmp-5.3.17-0.35.2
php53-iconv-5.3.17-0.35.2
php53-intl-5.3.17-0.35.2
php53-json-5.3.17-0.35.2
php53-ldap-5.3.17-0.35.2
php53-mbstring-5.3.17-0.35.2
php53-mcrypt-5.3.17-0.35.2
php53-mysql-5.3.17-0.35.2
php53-odbc-5.3.17-0.35.2
php53-openssl-5.3.17-0.35.2
php53-pcntl-5.3.17-0.35.2
php53-pdo-5.3.17-0.35.2
php53-pear-5.3.17-0.35.2
php53-pgsql-5.3.17-0.35.2
php53-pspell-5.3.17-0.35.2
php53-shmop-5.3.17-0.35.2
php53-snmp-5.3.17-0.35.2
php53-soap-5.3.17-0.35.2
php53-suhosin-5.3.17-0.35.2
php53-sysvmsg-5.3.17-0.35.2
php53-sysvsem-5.3.17-0.35.2
php53-sysvshm-5.3.17-0.35.2
php53-tokenizer-5.3.17-0.35.2
php53-wddx-5.3.17-0.35.2
php53-xmlreader-5.3.17-0.35.2
php53-xmlrpc-5.3.17-0.35.2
php53-xmlwriter-5.3.17-0.35.2
php53-xsl-5.3.17-0.35.2
php53-zip-5.3.17-0.35.2
php53-zlib-5.3.17-0.35.2


References:

http://support.novell.com/security/cve/CVE-2013-6501.html
http://support.novell.com/security/cve/CVE-2014-9652.html
https://bugzilla.suse.com/917150
https://bugzilla.suse.com/918768

http://download.suse.com/patch/finder/?keywords=26ebf3f2d46bdad9d869dde174567236

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages